## Interface Swift_Mime_MimeEntity

(line 21)

## Description

    Swift_Mime_CharsetObserver
       |
       --Swift_Mime_MimeEntity

Located in File: /vendors/swiftMailer/classes/Swift/Mime/MimeEntity.php

##### A MIME entity, such as an attachment.

- author: - Chris Corbyn

Classes extended from Swift_Mime_MimeEntity:

Swift_Mime_Message
  A Message (RFC 2822) object.

## Class Variables

Summary:

## Class Constants

Summary:
LEVEL_ALTERNATIVE
LEVEL_MIXED
LEVEL_RELATED
LEVEL_TOP

#### LEVEL_ALTERNATIVE = 4096 (line 32)

##### An entity which nests with the same precedence as a mime part

#### LEVEL_MIXED = 256 (line 29)

##### An entity which nests with the same precedence as an attachment

#### LEVEL_RELATED = 65536 (line 35)

##### An entity which nests with the same precedence as embedded content

#### LEVEL_TOP = 16 (line 26)

##### Main message document; there can only be one of these

## Method Detail

Summary:
string getBody ()
Swift_Mime_MimeEntity[] getChildren ()
string getContentType ()
Swift_Mime_Header[] getHeaders ()
string getId ()
int getNestingLevel ()
void setBody (string $body, [string $contentType = null])
void setChildren ( $children)
void toByteStream (Swift_InputByteStream $is)
string toString ()

#### Method getBody (line 87)

#### string getBody( )

##### Get the body content of this entity as a string.

Returns NULL if no body has been set.

#### Info

- access - public

#### Method getChildren (line 67)

#### Swift_Mime_MimeEntity[] getChildren( )

##### Get all children nested inside this entity.

These are not just the immediate children, but all children.

#### Info

- access - public

#### Method getContentType (line 49)

#### string getContentType( )

##### Get the qualified content-type of this mime entity.

#### Info

- access - public

#### Method getHeaders (line 80)

#### Swift_Mime_Header[] getHeaders( )

##### Get the collection of Headers in this Mime entity.

#### Info

- access - public

#### Method getId (line 60)

#### string getId( )

##### Returns a unique ID for this entity.

For most entities this will likely be the Content-ID, though it has no explicit semantic meaning and can be considered an identifier for programming logic purposes. If a Content-ID header is present, this value SHOULD match the value of the header.

#### Info

- access - public

#### Method getNestingLevel (line 43)

#### int getNestingLevel( )

##### Get the level at which this entity shall be nested in final document.

The lower the value, the more outermost the entity will be nested.

#### Info

- see - Swift_Mime_MimeEntity::LEVEL_TOP, Swift_Mime_MimeEntity::LEVEL_MIXED, Swift_Mime_MimeEntity::LEVEL_RELATED, Swift_Mime_MimeEntity::LEVEL_ALTERNATIVE
- access - public

#### Method setBody (line 94)

#### void setBody( string $body, [string $contentType = null])

##### Set the body content of this entity as a string.

#### Parameters

- string $body:
- string $contentType: optional

#### Info

- access - public

#### Method setChildren (line 74)

#### void setChildren( $children)

##### Set all children nested inside this entity.

This includes grandchildren.

#### Parameters

- Swift_Mime_MimeEntity[] $children:

#### Info

- access - public

#### Method toByteStream (line 106)

#### void toByteStream( Swift_InputByteStream $is)

##### Get this entire entity as a ByteStream.

#### Parameters

- Swift_InputByteStream $is: to write to

#### Info

- access - public

#### Method toString (line 100)

#### string toString( )

##### Get this entire entity in its string form.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_CharsetObserver

#### Swift_Mime_CharsetObserver::charsetChanged() - Notify this observer that the entity's charset has changed.

Documentation generated on Fri, 12 Nov 2010 20:45:25 +0000 by phpDocumentor 1.4.3